## NAME

d.font - Selects the font in which text will be displayed on the user's graphics monitor.

## KEYWORDS

display, settings

## SYNOPSIS

d.font
d.font --help
d.font [-lv] [font=string] [path=name] [charset=string] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-l
  List fonts
-v
  List fonts verbosely
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

font=string
  Choose new current font
  Default: romans
path=name
  Path to Freetype-compatible font including file name
charset=string
  Character encoding
  Default: UTF-8

## DESCRIPTION

d.font allows the user to select use of a specific text font for display of text on the graphics monitor. If the user does not specify a font when using other GRASS programs that display text, the font type romans is used by default.

The user can run this program either non-interactively or interactively. If the user specifies a font type name on the command line the program will run non-interactively. Alternately, the user can simply type d.font on the command line; in this case, the program will prompt the user for a display text font type.

Parameter:

font=name
  Name of a font type, from among the font types italicized below.
  Default: romans
  Options: (italized)
  cyrilc Cyrillic
  gothgbt Gothic Great Britain triplex
  gothgrt Gothic German triplex
  gothitt Gothic Italian triplex
  greekc Greek complex
  greekcs Greek complex script
  greekp Greek plain
  greeks Greek simplex
  italicc Italian complex
  italiccs Italian complex small
  italict Italian triplex
  romanc Roman complex
  romancs Roman complex small
  romand Roman duplex
  romanp Roman plain
  romans Roman simplex
  romant Roman triplex
  scriptc Script complex
  scripts Script simplex

## NOTES

The font type romans is the fastest font type to display to the graphics monitor.

## SEE ALSO

d.text
d.title

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

d.font uses the public domain version of the Hershey Fonts created by Dr. A.V. Hershey while working at the U.S. National Bureau of Standards.

## SOURCE CODE

Available at: d.font source code (history)

Accessed: Wednesday Jul 09 13:12:15 2025

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual